import kcRequest from "@/service/request/index.js";

// ============== 工作台 ==============
export const getWorkbench = (params) => {
  return kcRequest.request(`/hospital/workbench`, "get", params);
};

// ============== 工单 ==============
export const getHospitalOrders = (params) => {
  return kcRequest.request(`/hospital/orders`, "get", params);
};
export const getHospitalOrderDetail = (id) => {
  return kcRequest.request(`/hospital/orders/${id}`, "get");
};
export const createHospitalOrder = (data) => {
  return kcRequest.request(`/hospital/orders`, "post", data);
};
export const updateHospitalOrder = (id, data) => {
  return kcRequest.request(`/hospital/orders/${id}`, "put", data);
};
export const cancelHospitalOrder = (id) => {
  return kcRequest.request(`/hospital/orders/${id}`, "delete");
};

// ============== 积分 ==============
export const getPoints = () => {
  return kcRequest.request(`/hospital/points`, "get");
};
export const getPointsDetails = (params) => {
  return kcRequest.request(`/hospital/points/details`, "get", params);
};
